Subject: Re: [6tisch] I-D Action: draft-ietf-6tisch-minimal-17.txt

From: Jonathan Simon <[email-masked]>
Date: Mon, 12 Dec 2016 13:48:48 -0800

Xavi, Kris - Some questions about draft 17:

4: The callouts in figure 1 don't exactly match what's in 4.5.2, namely that the timelsot and hopping template IDs (as opposed to the full sequence) are what is carried in the EB.

4.5: This paragraph could be interpreted as saying that a compliant node may choose particular settings, but must be able to understand all possible valid TSCH settings to be 6TiSCH compliant.  I don't understand that you "may" set to any valid TSCH setting but you "should" set them to what is specified later on.  

4.5.1:  
1) What is the EB source address size?   Presumably the dst is short FFFF, but it isn't stated. 
2)  "While listening for EBs, a joining node set its own PAN ID to 0xffff..." Why is the PAN ID set to FFFF? This implies that the EB either doesn't have a dst PAN ID (contrary to the previous paragraph) or that nodes accept EB's from any advertising PAN, which makes PANID not useful in partitioning networks. 

4.5.2:  "EBs SHOULD NOT be used for time synchronization." The JN must initially set it's clock from the EB, otherwise it will have no idea when to send in its join request - see 6.2.   I think you mean that EB's should not be used for time synchronization after a node has K2?

4.6: How do you send in a join request using K2 (since it is a data frame and not an EB) when you don't have K2 yet?

Jonathan

[email-masked] <mailto:[email-masked]>